Subject: Re: [PATCH v2] log: add --nonlinear-barrier to help see non-linear history

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Mar 2014 12:08:04 -0700

Duy Nguyen <[email-masked]> writes:

>> I do not quite understand the "if we do not have previous parents"
>> bit, though.  Is it meant to trigger only at the very beginning?
>
> Only at the beginning.

Then I am not sure !revs->previous_parents match that condition.

What happens in a history with more than one root commits and the
first one the revision traversal finds is one of the roots?  When
showing the second commit, after processing the root and storing its
parent list, which is NULL, to revs->previous_parents, wouldn't it
mistakenly think that it is the first round and fail to show the
break line?